Draft Circle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Circle and the translation is 3% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Circle.svg Draft Circle

Системное название
Draft Circle
Расположение в меню
Черчение → Окружность
Верстаки
Draft, Arch
Быстрые клавиши
C I
Представлено в версии
-
См. также
Дуга

Description

Описание

Инструмент «Круг» создает круг в текущей work plane путем ввода двух точек, центра и радиуса, или путем выбора тангенсов или любой их комбинации. Он берет linewidth and color, предварительно установленный на вкладке «Задачи». Этот инструмент работает так же, как инструмент Draft Arc, за исключением того, что он останавливается после ввода радиуса.

A Draft Circle can be turned into an arc by setting its ДанныеFirst Angle and ДанныеLast Angle properties to different values.

Draft Circle example.jpg

Draft Circle example.jpg

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Как использовать

  1. Нажмите кнопку Draft Circle.png Draft Circle или нажмите C, затем клавиши I
  2. Щелкните первую точку на трехмерном изображении или введите coordinate
  3. Нажмите вторую точку на трехмерном представлении или введите значение радиуса.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created circle will have ДанныеMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating circles.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Circle can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • ДанныеArea (Area): (read-only) specifies the area of the face of the circle. The value will be 0.0 if ДанныеMake Face if false or the face cannot be created.
  • ДанныеFirst Angle (Angle): specifies the start angle of the circle, normally .
  • ДанныеLast Angle (Angle): specifies the end angle of the circle, normally .
  • ДанныеMake Face (Bool): specifies if the circle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the ДанныеFirst Angle and ДанныеLast Angle have the same value. Note that and 360° are not considered the same.
  • ДанныеRadius (Length): specifies the radius of the circle.

View

Draft

  • ВидPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the circle. This property only works if ДанныеMake Face is true and if ВидDisplay Mode is Flat Lines.
  • ВидPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Circle use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creates a circle object with given radius in millimeters.
    • radius can also be a Part.Edge, whose Curve attribute must be a Part.Circle.
  • If placement is None the circle is created at the origin.
  • If face is True, the circle will make a face, that is, it will appear filled.
  • If startangle and endangle are given in degrees, and have different values, they are used and the object appears as a Draft Arc.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg